#!/usr/bin/env python
# Run this file to update scadat.org and pip
import string, subprocess
import os,sys

# "scadat -h" -> n0
n0=subprocess.check_output(["./scadat/scadat", "-h"])

# Read in template file
# docs/index.templ -> docs/index.html+n0 -> http://scadat.org/index.html
with open('docs/index.templ') as x: f = x.read()
with open("docs/index.html", "w") as x: x.write(f.format(n0))

## docs/README.templ -> README+n0
with open('docs/README.templ') as x: f = x.read()
with open("README", "w") as x: x.write(f.format(n0))

## Input scadat_version into setup.py
with open('scadat/scadat_version.py') as x: scadat_version = x.read()
scadat_version=scadat_version.split()[0]
print "scadat_version is %s" %scadat_version
with open("docs/setup.py.templ", "r") as x: f=x.read() 
with open("setup.py", "w") as x: x.write(f.format(scadat_version))

#sys.exit(0)

# Create pypi/debian distribution
return_code=subprocess.call("python setup.py sdist",shell=True)
return_code=subprocess.call("python setup.py bdist_wheel",shell=True)
return_code=subprocess.call("python setup.py register",shell=True)
return_code=subprocess.call("python setup.py sdist upload",shell=True)
return_code=subprocess.call("python setup.py --command-packages=stdeb.command bdist_deb",shell=True)

# Install index.html and deb_dist to scadat.org
os.system('scp "%s" "%s:%s"' % ("docs/index.html", "root@scadat.org", "/var/www/index.html") )
os.system('scp -r "%s" "%s:%s"' % ("deb_dist", "root@scadat.org", "/var/www/") )

# Remove old scadat totally and download/test new scadat
return_code=subprocess.call("sudo dpkg -r scadat",shell=True)
return_code=subprocess.call("sudo pip uninstall scadat",shell=True)
return_code=subprocess.call("echo 'sudo pip install scadat or sudo dpkg -i tango-scadat_ver_all.deb'",shell=True)
#return_code=subprocess.call("scadat_test.sh",shell=True)

## Create pypi
#print "user/pass: martinmohan/Wa.t..dS..9."
#python setup.py sdist bdist_wheel upload
#python setup.py bdist --help-formats
#from distutils.core import setup
